Subject: [bug#56037] [PATCH] gnu: Update hexyl to 0.10

From: Maxime Devos <[email-masked]>
Date: Fri, 17 Jun 2022 19:11:41 +0200

Gabriel Arazas schreef op vr 17-06-2022 om 19:55 [+0800]:
> Confirmed to build on x86_64-linux. Binaries for other architectures are 
> yet to be built, my laptop is not powerful enough to wait to build Rust.

Rust on Guix does not support other architectures yet.
Also, I've been changing how rust crates work in antioxidant[0]
(not yet merged in Guix, not all build failures have been fixed yet).
Antioxidant makes Rust packaging simpler and faster, so maybe you could
give it a try.

To fix some of the resulting build failures, some crates have been
updated there (e.g., rust-clap, rust-clap-derive), so if you are
interested and don't mind the extra time required until it's ready for
merging back into Guix, maybe you could give [0] a try to reduce
duplicated effort a little?

[0] https://notabug.org/maximed/cargoless-rust-experiments/

Greetings,
Maxime